{% load static wagtailimages_tags %}

<div class="candidate-card container-padding--zero sm:container-padding--auto ">
  <div
    class="candidate-card__wrapper candidate-card__wrapper sm:candidate-card-list__item-wrapper md:candidate-card-list__item-wrapper--border"
  >
    <div class="card candidate-card__body elevation-0 hover:elevation-10 transition duration-200">
      <div class="candidate-card__avatar">
        <div class="candidate-card__position">
          {{ forloop.counter }}
        </div>
          <div class="avatar avatar--sm sm:avatar--lg">
              {% if block.profile_photo %}
                  {# Match sizing of person page to keep the image version count low #}
                  {% image block.profile_photo fill-416x416 as profile_img %}
                  <img src="{{ profile_img.url }}" alt="{{ block.title }}"/>
              {% else %}
                  <img src="{% static "shared/img/unknown_pirate_416x416.jpg" %}" alt="{{ block.title }}"/>
              {% endif %}
          </div>
      </div>
      <div class="candidate-card__bio">
        <h1 class="head-heavy-xs">
            {{ block.title }}
        </h1>
        {% if block.email %}
          <a href="mailto:{{ block.email }}" class="block candidate-card__bio-item mb-4">
            {{ block.email }}
          </a>
        {% endif %}
        {% if block.job %}
          <h2 class=" candidate-card__bio-item">
            {{ block.job }}
          </h2>
        {% endif %}
        {% if block.city %}
          <h2 class="head-allcaps-4xs mt-4">
            {{ block.city }}
          </h2>
        {% endif %}
      </div>
      <div class="candidate-card__affiliation">
        {% if block.age %}<div>{{ block.age }} let</div>{% endif %}
        <div class="flex items-center">
          {% if block.is_pirate %}
            <div class="avatar w-6 mr-2">
              <img src="{% static "shared/img/logo_black.svg" %}" alt="Pirátská strana">
            </div>
            <span class="font-bold font-condensed">Pirátská strana</span>
          {% endif %}

          {% if not block.is_pirate and block.other_party %}
            {% if block.other_party_logo %}
              {% image block.other_party_logo width-48 as logo_img %}
              <div class="avatar w-6 mr-2">
                <img src="{{ logo_img.url }}" alt="{{ block.other_party }}">
              </div>
            {% endif %}

            <span class="font-bold font-condensed">{{ block.other_party }}</span>
          {% endif %}
        </div>
      </div>
      <div class="card__body candidate-card__social">
        <div class="social-icon-group space-x-2">
          {% if block.facebook_url %}
            <a href="{{ block.facebook_url }}" target="_blank" class="social-icon" rel="noreferrer noopener">
              <i class="ico--facebook"></i>
            </a>
          {% endif %}
          {% if block.instagram_url %}
            <a href="{{ block.instagram_url }}" target="_blank" class="social-icon" rel="noreferrer noopener">
              <i class="ico--instagram"></i></a>
          {% endif %}
          {% if block.twitter_url %}
            <a href="{{ block.twitter_url }}" target="_blank" class="social-icon" rel="noreferrer noopener">
              <i class="ico--twitter"></i>
            </a>
          {% endif %}
          {% if block.youtube_url %}
            <a href="{{ block.youtube_url }}" target="_blank" class="social-icon" rel="noreferrer noopener">
              <i class="ico--youtube"></i>
            </a>
          {% endif %}
          {% if block.flickr_url %}
            <a href="{{ block.flickr_url }}" target="_blank" class="social-icon" rel="noreferrer noopener">
              <i class="ico--flickr"></i>
            </a>
          {% endif %}
        </div>
      </div>
    </div>
  </div>
</div>
